Subject: Re: Big Java repositories to play with?

From: Stefan Beller <[email-masked]>
Date: Wed, 07 May 2014 16:08:28 +0200

On 07.05.2014 16:01, Ævar Arnfjörð Bjarmason wrote:
> On Wed, May 7, 2014 at 3:23 PM, Duy Nguyen <[email-masked]> wrote:
>> I need some big Java repos (over 100k files) to test "git status".
>> Actually any repos with long path names and deep/wide directory
>> structure are fine, not only Java ones. Right now I'm aware of
>> gentoo-x86 and webkit. Let me know if you know some others. I'm afraid
>> my Google-foo is not strong enough to search these repos.
> 
> 1. Take a small repo with a small src directory
> 2. for i in {1..100}; do cp -Rvp src src-$i; done
> 3. git add src-*; git commit -m"bigger"
> 
> For some value of 100 you'll end up with a big repo to test "git status" on.
> 
> You just need lots of files to stat(), git status doesn't care about
> history, so there's no reason why you need to track down an existing
> large repository.

As you may have anomalies of one repo reproduced 100 times then,
it may be better to use 100 different projects?
There is http://gittup.org/gittup/ which is an entire linux distribution
packed into one git repo, but all the individual
projects (kernel, nethack etc) are subprojects. Maybe instead of
having them as subprojects you could add all of them into one large repo?

Also you could just do a git init in your home directory?